Đến nội dung


Hình ảnh
- - - - -

Nhờ các cao thủ xem giúp!


  • Please log in to reply
5 replies to this topic

#1 tsanhthi

tsanhthi

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 December 2014 - 11:14 AM

          Nhờ các cao thủ xem giúp em sai chỗ nào mà nó không tạo ra block được, xin cảm ơn

 

          Nhờ các cao thủ xem giúp em sai chỗ nào mà nó không tạo ra block được, xin cảm ơn

(defun c:thu ()

(setq p1 (getpoint "\nchon diem bat dau:"))
(setq pt1 (list (+ (car p1) 6000) (+ (cadr p1) 4300)))
(setq pt2 (list (+ (car pt1) 8000) (+ (cadr pt1) 0)))
(setq pt3 (list (+ (car pt2) 0) (+ (cadr pt2) 9000)))
(setq e1 (entlast))
(command ".line" p1 pt1 pt2 pt3 "" )
(setq e2 (sssetfirst nil (acet-ss-new e1)))
(command "block" "thu" pt3 e2 "")
)

Bài viết đã được chỉnh sửa nội dung bởi tsanhthi: 03 December 2014 - 11:29 AM

  • 0

#2 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 03 December 2014 - 11:38 AM

Không thấy file lsp bạn ơi, bạn cho code vào trong dấu <> bên dưới mặt cười nhé


  • 0

#3 tsanhthi

tsanhthi

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 December 2014 - 01:14 PM

Không thấy file lsp bạn ơi, bạn cho code vào trong dấu <> bên dưới mặt cười nhé

Mình gởi code, cảm ơn bạn nhiều, mình mới tham gia diễn đàn nên không rành lắm ^^

(defun c:thu ()
(setq p1 (getpoint "\nchon diem bat dau:"))
(setq pt1 (list (+ (car p1) 6000) (+ (cadr p1) 4300)))
(setq pt2 (list (+ (car pt1) 8000) (+ (cadr pt1) 0)))
(setq pt3 (list (+ (car pt2) 0) (+ (cadr pt2) 9000)))
(setq e1 (entlast))
(command ".line" p1 pt1 pt2 pt3 "" )
(setq e2 (sssetfirst nil (acet-ss-new e1)))
(command "block" "thu" pt3 e2 "")
)

  • 0

#4 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 03 December 2014 - 02:14 PM

Chào bạn, cái lisp của bạn nếu luôn luôn đặt tên là "thu" thì nó sẽ bị đè lên nhau, với lại đã làm block thì cũng không nhất thiết phải vẽ ra làm gì rồi lại xóa đi, khi nào cần thì gõ insert nó ra là được, mình đã sửa lại, chúc bạn thành công.

(defun c:thu( / p1 pt1 pt2 pt3 e1 oldos)
(command "undo" "be")
(setq p1 (list 0.0 0.0) )
(setq ten (getstring t "\nNhap ten block:"))
;(setq oldos (getvar "osmode"))
;(setvar "osmode" 0)
(setq pt1 (list (+ (car p1) 6000) (+ (cadr p1) 4300)))
(setq pt2 (list (+ (car pt1) 8000) (+ (cadr pt1) 0)))
(setq pt3 (list (+ (car pt2) 0) (+ (cadr pt2) 9000)))
(setq e1 (entlast))
(command ".pline" "non" p1 "non" pt1 "non" pt2 "non" pt3 "" )
;(setq e2 (sssetfirst nil (acet-ss-new e1)))
(command "-block" ten pt3 "last" "" "N" "" )
;(setvar "osmode" oldos)
(command "undo" "end")
)

  • 0

#5 tsanhthi

tsanhthi

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 December 2014 - 02:34 PM

Chào bạn, cái lisp của bạn nếu luôn luôn đặt tên là "thu" thì nó sẽ bị đè lên nhau, với lại đã làm block thì cũng không nhất thiết phải vẽ ra làm gì rồi lại xóa đi, khi nào cần thì gõ insert nó ra là được, mình đã sửa lại, chúc bạn thành công.

(defun c:thu( / p1 pt1 pt2 pt3 e1 oldos)
(command "undo" "be")
(setq p1 (list 0.0 0.0) )
(setq ten (getstring t "\nNhap ten block:"))
;(setq oldos (getvar "osmode"))
;(setvar "osmode" 0)
(setq pt1 (list (+ (car p1) 6000) (+ (cadr p1) 4300)))
(setq pt2 (list (+ (car pt1) 8000) (+ (cadr pt1) 0)))
(setq pt3 (list (+ (car pt2) 0) (+ (cadr pt2) 9000)))
(setq e1 (entlast))
(command ".pline" "non" p1 "non" pt1 "non" pt2 "non" pt3 "" )
;(setq e2 (sssetfirst nil (acet-ss-new e1)))
(command "-block" ten pt3 "last" "" "N" "" )
;(setvar "osmode" oldos)
(command "undo" "end")
)

          Cảm ơn bác, nhưng cái lisp bạn sửa cũng không tạo được block mà nó có thể hiển thị trên bản vẽ như mình dùng lệnh block -> make . . .,

thật ra mình muốn tạo lisp vẽ mặt cắt móng cọc nên mới cần tạo block để bổ sung cho cọc.


  • 0

#6 trinhhoanghieu090

trinhhoanghieu090

    Edu level: li8

  • Members
  • PipPipPipPipPip
  • 309 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 03 December 2014 - 02:41 PM

          Cảm ơn bác, nhưng cái lisp bạn sửa cũng không tạo được block mà nó có thể hiển thị trên bản vẽ như mình dùng lệnh block -> make . . .,

thật ra mình muốn tạo lisp vẽ mặt cắt móng cọc nên mới cần tạo block để bổ sung cho cọc.

Híc, thế thì lạm dụng lisp quá. Cái này đâu cần phải dùng lisp gì đâu trước lệnh block  đánh thêm dấu "-" là được, ví dụ gõ là -b hoặc -block.


  • 0